ZenLib::Format::Http::Cookies Class Reference

`#include <Http_Cookies.h>`

Inheritance diagram for ZenLib::Format::Http::Cookies:

## Public Member Functions

| Cookies ()
size_t | Set (const std::string &Name, const std::string &Value=EmptyString, std::time_t Expires=(std::time_t) -1, const std::string &Path=EmptyString, const std::string &Domain=EmptyString, bool Secure=false)
Cookie & | Get (const std::string &Name)
void | Create_Lines (std::ostream &Out)

## Constructor & Destructor Documentation

## Cookies()

ZenLib::Format::Http::Cookies::Cookies | ( |  | ) |

## Member Function Documentation

## Create_Lines()

void ZenLib::Format::Http::Cookies::Create_Lines | ( | std::ostream & | Out | ) |

## Get()

Cookie & ZenLib::Format::Http::Cookies::Get | ( | const std::string & | Name | ) |

## Set()

size_t ZenLib::Format::Http::Cookies::Set | ( | const std::string & | Name,
|  | const std::string & | Value = EmptyString,
|  | std::time_t | Expires = (std::time_t) -1,
|  | const std::string & | Path = EmptyString,
|  | const std::string & | Domain = EmptyString,
|  | bool | Secure = false )

References ZenLib::Format::Http::EmptyString.

The documentation for this class was generated from the following file:

- Http_Cookies.h